/* eslint-disable max-len */
import React, { SVGProps } from "react";

import styles from "@/icons/IconFills.module.scss";
import { IiCon } from "@/types/IconInterface";

export const EyeIcon = ({ color, width = "22px", height = "16px", fill, ...restProps }: IiCon & SVGProps<SVGSVGElement>) => (
    <svg
        className={styles[`icon_color-${color}`]}
        style={{ width: width, height: height }}
        viewBox="0 0 22 16"
        fill="none"
        xmlns="http://www.w3.org/2000/svg"
        {...restProps}
    >
        <path
            d="M11.125 1.82568C8.80469 1.82568 6.94141 2.88037 5.5 4.21631C4.12891 5.48193 3.21484 6.9585 2.72266 8.01318C3.21484 9.06787 4.12891 10.5796 5.5 11.8452C6.94141 13.1812 8.80469 14.2007 11.125 14.2007C13.4102 14.2007 15.2734 13.1812 16.7148 11.8452C18.0859 10.5796 19.0352 9.06787 19.4922 8.01318C19.0352 6.9585 18.0859 5.48193 16.75 4.21631C15.2734 2.88037 13.4102 1.82568 11.125 1.82568ZM4.33984 2.98584C5.99219 1.43896 8.27734 0.138184 11.125 0.138184C13.9375 0.138184 16.2227 1.43896 17.875 2.98584C19.5273 4.53271 20.6172 6.32568 21.1445 7.59131C21.25 7.87256 21.25 8.18896 21.1445 8.47021C20.6172 9.70068 19.5273 11.5288 17.875 13.0757C16.2227 14.6226 13.9375 15.8882 11.125 15.8882C8.27734 15.8882 5.99219 14.6226 4.33984 13.0757C2.6875 11.5288 1.59766 9.70068 1.07031 8.47021C0.964844 8.18896 0.964844 7.87256 1.07031 7.59131C1.59766 6.32568 2.6875 4.49756 4.33984 2.98584ZM11.125 10.8257C12.6719 10.8257 13.9375 9.59521 13.9375 8.01318C13.9375 6.46631 12.6719 5.20068 11.125 5.20068C11.0898 5.20068 11.0547 5.20068 11.0547 5.20068C11.0898 5.41162 11.125 5.5874 11.125 5.76318C11.125 7.02881 10.1055 8.01318 8.875 8.01318C8.66406 8.01318 8.48828 8.01318 8.3125 7.94287C8.3125 7.97803 8.3125 8.01318 8.3125 8.01318C8.3125 9.59521 9.54297 10.8257 11.125 10.8257ZM11.125 3.51318C12.707 3.51318 14.1836 4.39209 14.9922 5.76318C15.8008 7.16943 15.8008 8.89209 14.9922 10.2632C14.1836 11.6694 12.707 12.5132 11.125 12.5132C9.50781 12.5132 8.03125 11.6694 7.22266 10.2632C6.41406 8.89209 6.41406 7.16943 7.22266 5.76318C8.03125 4.39209 9.50781 3.51318 11.125 3.51318Z"
            fill={fill}
        />
    </svg>
);
